/// <reference types="node" />
import events from 'events';
import { NextEditorClientCursorMessage, NextEditorUser } from '../messages';
declare interface RemoteUsers {
    on(event: 'change', listener: (users: NextEditorUser[]) => void): this;
}
declare class RemoteUsers extends events.EventEmitter {
    private users;
    private cursors;
    private addingUser;
    setCursor(message: NextEditorClientCursorMessage): void;
    addUsers(users: NextEditorUser[]): void;
    addUser(user: NextEditorUser): void;
    removeUser(clientId: string): void;
    getCursors(blockId: string): Map<number, NextEditorUser[]>;
}
export default RemoteUsers;
